/// <reference types="react" />
interface Avatar {
    type: 'avatar';
    flex?: number;
    icon: string | React.ReactElement;
    name: string;
    label: string;
}
interface Status {
    type: 'status';
    flex?: number;
    status: 'stateless' | 'error' | 'warning' | 'done' | 'good';
    label?: string;
}
interface Text {
    type?: 'text';
    flex?: number;
    text?: string;
    subText?: string;
}
interface Buttons {
    type: 'buttons';
    flex?: number;
    button: {
        label: string;
        onClick: Function;
        icon: React.ReactElement;
        color?: 'normal' | 'red';
    }[][];
}
declare type Item = (Avatar | Status | Text | Buttons)[];
interface Props {
    data: Item[];
}
export declare function ItemsTable(props: Props): JSX.Element;
export declare type ItemsType = Item[];
export declare type ItemType = Item;
export {};
