import { useContext } from "react";
import styled from "styled-components";
import { Button } from "../../components";
import { ModalContext } from "../../context/modal/modalContext";
const Buttons = styled.div`
    margin-top: 16px;
    display: flex;
    align-items: center;
    justify-content: flex-end;
    gap: 8px;
`;

function DialogScreen(props) {
  return /*#__PURE__*/React.createElement(React.Fragment, null, props.content, /*#__PURE__*/React.createElement(Buttons, null, props.buttons.map(e => /*#__PURE__*/React.createElement(Button, e))));
}

export function useDialog() {
  const modal = useContext(ModalContext);
  return (title, buttons, content, notAutoClose) => {
    const MappedButtons = buttons.map(e => ({ ...e,
      onClick: () => {
        e.onClick();
        (!notAutoClose || e.closeModal) && modal.close();
      }
    }));
    modal.open( /*#__PURE__*/React.createElement(DialogScreen, {
      close: modal.close,
      content: content,
      buttons: MappedButtons
    }), title);
  };
}